ONVIF::Analytics::Types::Fault(3)

NAME
ONVIF::Analytics::Types::Fault

DESCRIPTION
Perl data type class for the XML Schema defined complexType Fault from the namespace http://schemas.xmlsoap.org/soap/envelope/.

Fault reporting structure

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   faultcode

•   faultstring

•   faultactor

•   detail

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::Fault
   faultcode =>  $some_value, # QName
   faultstring =>  $some_value, # string
   faultactor =>  $some_value, # anyURI
   detail =>  { # ONVIF::Analytics::Types::detail
   },
 },

AUTHOR
Generated by SOAP::WSDL